2012-09-16  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* renumber tkimg version to 1.4.2

2013-09-10  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libjpeg version 8d

2013-05-12  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to zlib 1.2.8

2012-07-22  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libpng 1.4.12
	* renumber tkimg version to 1.4.1

2012-06-10  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to zlib 1.2.7

2011-11-27	Harald Oehlmann <oehhar@users.sourceforge.net>

	* bmp.c: image resolution parameter may be given when saving bmp
	  (TkImg Feature Request 3062062)

2011-11-17  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libjpeg version 8c

2011-07-26  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to latest TEA tcl.m4 and install.sh
	* upgrade to libpng 1.4.8

2011-04-22  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libpng 1.4.7

2010-12-14  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to latest TEA tcl.m4 and autoconf 2.68

2010-11-26  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Upgrade to TEA 3.9

2010-09-17  Jan Nijtmans <nijtmans@users.sourceforge.net>

	*
	* Released and tagged Tkimg 1.4 ========================
	*

2010-08-30  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* license.terms: Fix DFARs note for number-adjusted rights clause

2010-07-06  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* genStubs.tcl: "generic" argument is no longer necessary when
	there are no suppressors.
	* [tkimg-Bugs-3011001] Only support accessing tkImg
	procs through stub table implemented for libpng

2010-06-30  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libtiff 3.9.4

2010-06-28  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libpng 1.4.3
	* backport various ttkGenStubs.tcl improvements
	  to genStubs.tcl

2010-06-17  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libjpeg version 8b

2010-06-04  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* [tkimg-Bugs-3011001] Only support accessing tkImg
	procs through stub table implemented for base and zlib

2010-05-11  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libpng 1.4.2

2010-05-04  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Make type "boolean" available everywhere, so individual
	  handlers don't need to define Boln any more.
	* Formatting.
	* Make --enable-symbols build on MSVC a little bit
	  closer to reality and explain disabled warnings.

2010-05-03  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Use PNGTCLAPI in stead of EXTERN in tkImg png package
	* xbm fix unused variable

2010-04-30  Andreas Kupries <andreask@activestate.com>

	* Fix building tkimg --disable-shared

2010-04-28  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* More MODULE_SCOPE functions in base
	* Use TKIMGAPI in stead of EXTERN in tkImg base package
	* Fix various gcc and MSVC warnings
	* upgrade to libpng 1.4.1

2010-04-23  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to zlib 1.2.5

2010-04-14  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Regenerate all configure scripts with latest TEA tcl.m4

2010-04-09  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Only build pkgIndex.tcl when something changed.

2010-04-07  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* TkimgInitUtilities() always succeeds, and does not
	  return TCL_ERROR/TCL_OK.
	* Eliminate forced dependancy for aqua on
	  ::tk::unsupported::MacWindowStyle
	* Eliminate msgcat compatibility layer

2010-04-01  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* [Bug 2975449] Kill the Tk 8.2/8.3 ifdeffery - at
	  least the runtime swizzle (I don't consider
	  this a bug at all, because it worked fine
	  as long as it was needed!)
	* [Bug 2907616] configure ignores --mandir switch

2010-03-31  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Sync with latest TEA (tcl.m4), regenerated all
	  configure scripts with autoconf-2.65.
	* Sync genStubs.tcl with latest one from Tcl 8.6,
	  regenerated all *Decls.h files. All stubs
	  pointers are const now.
    
2009-07-26  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Sync with latest TEA (tcl.m4), regenerated all
	  configure scripts.
    
2009-04-28  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Fix [Bug #82910] teacup requires libX11 to run
    
2009-03-12  Stuart Cassoff <stwo@users.sourceforge.net>

	* various fixes to tcl.m4 [Bug #2669308] (Stuart Cassoff)
	  (To be checked in in sampleextension as well.)
	* fix [Bug #2669482] Can't 'make test'

2009-03-12  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* fix "make checkstubs"
	* a few CONST84 eliminations

2009-03-09  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Revert to using "ld -b" in stead of "${CC} -b" for
	  HP-UX-11; it doesn't work in 64-bit mode.

2009-03-03  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* fix "make genstubs" for libpng, libtiff, libz, libjpeg
	* PNG build fix

2009-02-24  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* gif handler cleanup
	* Allow -index N option for TIFF images too [Feature Request #706277]

2009-02-23  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Attempt to fix HP-UX Itanium 64-bit build
	* revert r177 change to pkgIndex.tcl: it broke TEApot package
	  handling.

2009-02-17  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Move ./libz to ./compat/zlib and ./libz/tcl to ./zlib
	* Move ./libjpeg to ./compat/libjpeg and ./libjpeg/tcl to ./libjpeg
	* Move ./libpng to ./compat/libpng and ./libpng/tcl to ./libpng
	* Move ./libtiff to ./compat/libtiff and ./libtiff/tcl to ./libtiff
	* Require Tcl/Tk 8.3 for libz, libpng, libtiff and libjpeg

2009-01-12  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libpng 1.2.34

2009-01-12	Jan Nijtmans <nijtmans@users.sourceforge.net>

	* No longer Panic when an out-of-memory error occurs,
	  when compiled with Tcl/Tk 8.5 or later and running with
	  Tcl/Tk 8.5 and later (Tk bug #2477446)

2009-01-05  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Two more stub functions for improved Tcl 8.5 support.
	* Make sure that in C preprocessor directives the "#"
	  character is the first character on the line.

2008-11-13  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* For gcc, from now on use as standard CFLAGS:
	    CFLAGS_OPTIMIZE="-O2 -fomit-frame-pointer"
	    CFLAGS_WARNING="-Wall -Wwrite-strings"
	* Upgrade to GNU Autoconf 2.63

2008-11-13  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Create 1.3.x branch. Now trunk is available for
	  tkImg 1.4 development.

2008-11-13  Andreas Kupries <andreask@activestate.com>

	* Fix win32 compile issue with zlib, mask gzprintf
    
2008-11-04	Paul Obermeier <obermeier@users.sourceforge.net>

	* Added new (visual) test suite for checking the different
	  ways of reading and writing images in the various formats.

2008-11-04	Paul Obermeier <obermeier@users.sourceforge.net>

	* Updated demo program to include all available image
	  formats. Also added additional tests for all image formats.

2008-11-04	Paul Obermeier <obermeier@users.sourceforge.net>

	* Added two new format handlers: DTED for displaying
	  terrain elevation data files as an image.
	  RAW for displaying files filled with raw matrix data in 8-bit
	  integer, 16-bit integer or 32-bit float binary data.
	  Note: These very special format handlers are not loaded with
	  a "package require Img", but must be loaded explicitly with
	  "package require img::dted" and "package require img::raw".

2008-11-04	Paul Obermeier <obermeier@users.sourceforge.net>

	* Fixed issue #1963052:
	    Added correct base64 encoded image for format ICO.
	    Added correct base64 encoded image for format SGI.
	    Also added code to fill unused bytes of file header with
	    zeros to get identical test results.
	    Removed test for format pixmap.

2008-10-27  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Fixed issue #762108: configure can now finds the
	  tclConfig.sh and tkConfig.sh files from a parallel
	  Tcl and Tk build. With this change, tkimg now builds
	  out-of-the-box on mingw32.

2008-10-22  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Eliminate "CONST" everywhere, replacing it with "const"

2008-10-22  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* CONST -> const in *.decls, genenerate all header files
	* white spacing fixes.
	* eliminate genStubs.tcl in other places than the main "tools"

2008-10-22  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Introduce the use of CONST86 for compiling against Tcl 8.6

2008-11-04	Paul Obermeier <obermeier@users.sourceforge.net>

	* Make SGI parser 64-bit aware: Convert long's to int's.

2008-02-06  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Updated genStubs.tcl to match with the version in Tcl8.5.1
	* re-generated all related files (*Decls.h and *StubInit.c)

2008-02-05  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Fixed issue #1081827: tkImgGIF.c is now thread-safe.

2008-02-04  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* Fixed a buffer overflow (CVE-2006-4484)

2007-12-19  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libpng 1.2.24

2006-08-04  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libpng 1.2.12

2006-06-09  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libtiff 3.8.2

2006-06-09  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* upgrade to libpng 1.2.10

2006-06-06  Paul Obermeier <obermeier@users.sourceforge.net>

	* bmp/bmp.c: 1. Added read parser for 16 and 32 bit formats. Needed
	                when reading images from the Windows clipboard.
			(See http://wiki.tcl.tk/15647 for example)
	             2. Corrected previous rleBuf fix.

2006-06-01  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* fix a few compiler warnings when using the Intel C-compiler. Suggested by David Binderman.

2006-05-02  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* various cleanups and elimination of compiler warnings. No change in functionality.

2006-05-02  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* implement real LZW compression in GIF encoder

2006-03-22  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* windows-specific bug-fixes for TEA

2006-03-22  Jan Nijtmans <nijtmans@users.sourceforge.net>

	* add eclipse project files (experimental)

2006-01-25  Andreas Kupries <andreask@activestate.com>

	* base/Makefile.in: TEA 3.5 update. Added missing Tk
	* bmp/Makefile.in:  definitions and variables in. Before
	* gif/Makefile.in:  $prefix was used to locate headers, now
	* ico/Makefile.in:  we have to refer to the Tk locations
	* jpeg/Makefile.in: explicitly.
	* pcx/Makefile.in:
	* pixmap/Makefile.in:
	* png/Makefile.in:
	* ppm/Makefile.in:
	* ps/Makefile.in:
	* sgi/Makefile.in:
	* sun/Makefile.in:
	* tga/Makefile.in:
	* tiff/Makefile.in:
	* window/Makefile.in:
	* xbm/Makefile.in:
	* xpm/Makefile.in:

2006-01-24  Andreas Kupries <andreask@activestate.com>

	* tclconfig/tcl.m4: Updated to TEA 3.5
	* configure.in:     Ditto.
	* configure:        Regenerated.
	* base/configure.in:
	* base/configure:
	* bmp/configure.in:
	* bmp/configure:
	* gif/configure.in:
	* gif/configure:
	* ico/configure.in:
	* ico/configure:
	* jpeg/configure.in:
	* jpeg/configure:
	* libjpeg/tcl/configure.in:
	* libjpeg/tcl/configure:
	* libpng/tcl/configure.in:
	* libpng/tcl/configure:
	* libtiff/tcl/configure.in:
	* libtiff/tcl/configure:
	* libz/tcl/configure.in:
	* libz/tcl/configure:
	* pcx/configure.in:
	* pcx/configure:
	* pixmap/configure.in:
	* pixmap/configure:
	* png/configure.in:
	* png/configure:
	* ppm/configure.in:
	* ppm/configure:
	* ps/configure.in:
	* ps/configure:
	* sgi/configure.in:
	* sgi/configure:

2005-08-17  Andreas Kupries  <andreask@activestate.com>

	* libz:     Updated to version 1.2.3 of libz.
	* libz/tcl: Changed version of wrapper to 1.2.3, synchronized to
	  version of libz.

2005-06-13  Andreas Kupries <andreask@activestate.com>

	* Makefile.in: Updated everything to TEA 3.2. tclconfig and contained files is now central.
	* aclocal.m4:  Customization of 'init.c' template file now in the configure script. Albeit
	* configure:   still not fully standard. Removed lots of old cruft.
	* configure.in:
	* init.c:
	* base/Makefile.in:
	* base/aclocal.m4:
	* base/configure:
	* base/configure.in:
	* base/pkgIndex.tcl.in:
	* base/tkimg.c:
	* base/tkimgConfig.sh.in:
	* base/tkimgStubLib.c:
	* bmp/Makefile.in:
	* bmp/configure:
	* bmp/configure.in:
	* gif/Makefile.in:
	* gif/configure:
	* gif/configure.in:
	* ico/Makefile.in:
	* ico/configure:
	* ico/configure.in:
	* jpeg/Makefile.in:
	* jpeg/configure:
	* jpeg/configure.in:
	* libjpeg/config.guess:
	* libjpeg/config.sub:
	* libjpeg/tcl/Makefile.in:
	* libjpeg/tcl/aclocal.m4:
	* libjpeg/tcl/configure:
	* libjpeg/tcl/configure.in:
	* libjpeg/tcl/jpegtcl.c:
	* libjpeg/tcl/jpegtclConfig.sh.in:
	* libpng/tcl/Makefile.in:
	* libpng/tcl/aclocal.m4:
	* libpng/tcl/configure:
	* libpng/tcl/configure.in:
	* libpng/tcl/pngtcl.c:
	* libpng/tcl/pngtclConfig.sh.in:
	* libtiff/libtiff/tiff.h:
	* libtiff/tcl/Makefile.in:
	* libtiff/tcl/aclocal.m4:
	* libtiff/tcl/configure:
	* libtiff/tcl/configure.in:
	* libtiff/tcl/tifftcl.c:
	* libtiff/tcl/tifftclConfig.sh.in:
	* libz/tcl/Makefile.in:
	* libz/tcl/aclocal.m4:
	* libz/tcl/configure:
	* libz/tcl/configure.in:
	* libz/tcl/zlibtcl.c:
	* libz/tcl/zlibtcl.h:
	* libz/tcl/zlibtclConfig.sh.in:
	* pcx/Makefile.in:
	* pcx/configure:
	* pcx/configure.in:
	* pixmap/Makefile.in:
	* pixmap/configure:
	* pixmap/configure.in:
	* pixmap/pixmap.c:
	* png/Makefile.in:
	* png/configure:
	* png/configure.in:
	* ppm/Makefile.in:
	* ppm/configure:
	* ppm/configure.in:
	* ps/Makefile.in:
	* ps/configure:
	* ps/configure.in:
	* sgi/Makefile.in:
	* sgi/configure:
	* sgi/configure.in:

2004-08-18  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tkimg 1.3 ========================
	*

2004-08-16  Andreas Kupries  <andreask@activestate.com>

	* Updated some hardwired version information in png, zlib, and
	  tiff.

2004-08-13  Andreas Kupries  <andreask@activestate.com>

	* libz/tcl: Changed version of wrapper to 1.2.1, synchronized to
	  version of libz.

	* libpng/tcl: Changed version of wrapper to 1.2.6, synchronized to
	  version of libpng.

	* libtiff/tcl: Changed version of wrapper to 3.6.1, synchronized to
	  version of libtiff.

2004-08-13  Andreas Kupries  <andreask@activestate.com>

	* libtiff:     Updated libtiff from version 3.5.5 to 3.6.1.
	* libtiff/tcl: Updated to handle the new version of libtiff.

2004-08-12  Andreas Kupries  <andreask@activestate.com>

	* libpng:     Updated libpng from version 1.0.8 to 1.2.6rc5.
	* libpng/tcl: Updated to handle the new version of libpng.

2004-08-12  Andreas Kupries  <andreask@activestate.com>

	* libz:     Updated zlib from version 1.1.3 to 1.2.1.
	* libz/tcl: Updated to handle the new version of zlib.

2004-08-12  Andreas Kupries  <andreask@activestate.com>

	* ico/ico.c: The last change made to these files, not
	* sun/sun.c: recorded in the ChangeLog [*], caused them to
	* sgi/sgi.c: be stored back into the CVS in DOS format.
	* tga/tga.c: This screwed up the compile, more precise,
	* pcx/pcx.c: the continuation lines in the code were not
	             recognized anymore.

	[*] cvs annotate claims that the change was made on July 27.

2004-06-03  Andreas Kupries  <andreask@activestate.com>

	* base/tkimgPPB.c:
	* base/tkimg.h: Added conditional definition for Tk_PhotoExpand
	* bmp/bmp.c:    (named tkimg_PhotoExpand). Changed all occurences
	* gif/gif.c:    if Tk_PhotoExpand to the new definition. This
	* ico/ico.c:    takes care of a change between Tk 8.4 and 8.5
	* jpeg/jpeg.c:
	* libjpeg/tcl/jpegtcl.c:
	* pcx/pcx.c:
	* png/png.c:
	* ppm/ppm.c:
	* ps/ps.c:
	* sgi/sgi.c:
	* sun/sun.c:
	* tga/tga.c:
	* window/window.c:
	* xbm/xbm.c:
	* xpm/xpm.c:

2003-04-04  Andreas Kupries  <andreask@activestate.com>

	* configure:
	* base/configure:
	* base/tclconfig/tcl.m4:
	* bmp/configure:
	* gif/configure:
	* ico/configure:
	* jpeg/configure:
	* libjpeg/tcl/configure:
	* libjpeg/tcl/tclconfig/tcl.m4:
	* libpng/tcl/configure:
	* libpng/tcl/tclconfig/tcl.m4:
	* libtiff/tcl/configure:
	* libtiff/tcl/tclconfig/tcl.m4:
	* libz/tcl/configure:
	* libz/tcl/tclconfig/tcl.m4:
	* pcx/configure:
	* pixmap/configure:
	* png/configure:
	* ppm/configure:
	* ps/configure:
	* sgi/configure:
	* sun/configure:
	* tclconfig/tcl.m4:
	* tga/configure:
	* tiff/configure:
	* window/configure:
	* xbm/configure:
	* xpm/configure: Updated to newest tcl.m4, regenerated
	  configure's.

2003-03-24  Andreas Kupries  <andreask@activestate.com>

	* doc/img-ps.man: Fix of typo reported by doctools.

2003-03-13  Andreas Kupries  <andreask@activestate.com>

	* doc/img-ps.man: Extended with a section about requirements,
	  because this format relies on the presence of 'gs'
	  (ghostscript).

2003-03-09  Paul Obermeier  <obermeier@poSoft.de>

	* pcx/pcx.c: Fixed incorrect usage of Tcl_AppendResult,
	* sun/sun.c: which could cause core dumps.
	* tga/tga.c:

	* pcx/pcx.c: Improved heuristics for better format matching.

	* base/pkgIndex.tcl.in: Rearranged order of required packages
	                        for better format matching.

	* doc/img-ico.man: Updated documentation.
	* doc/img-pcx.man:
	* doc/img-ppm.man:
	* doc/img-sgi.man:
	* doc/img-sun.man:
	* doc/img-tga.man:

2003-03-04  Andreas Kupries  <andreask@activestate.com>

	* doc/format-footer.inc: Better see-also and keywording.
	* doc/img-ps.man:
	* doc/img.man:

	* doc/img-png.man: Small fix in manpage, command was broken over
	  two lines, which is illegal.

2003-02-26  Andreas Kupries  <andreask@activestate.com>

	* configure:    Fixed hangup on Linux systems where arguments
	* configure.in: to cc in the variable CC caused the subordinate
	                configure of tiff to choke (A which command
			hanged itself).

	* bmp/tests/bmp.test:   Updated the testsuite to use the new 'img::*'
	* gif/tests/gif.test:   package names instead of the old 'tkimg::*'.
	* ico/tests/ico.test:   Thanks to Don Porter <dgp@users.sourceforge.net>
	* jpeg/tests/jpeg.test: for noticing this. Patch also by him.
	* pcx/tests/pcx.test:
	* pixmap/tests/pixmap.test:
	* png/tests/png.test:
	* ppm/tests/ppm.test:
	* sgi/tests/sgi.test:
	* sun/tests/sun.test:
	* tga/tests/tga.test:
	* tiff/tests/tiff.test:
	* xbm/tests/xbm.test:
	* xpm/tests/xpm.test:

2003-02-12  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* README: Removed format documentation from the file. Added
	  reference to manpages, and doctools.

	* Completed documentation work.

2003-02-06  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* doc/img.man:     Started to work on new user documentation.
	* doc/img-bmp.man: Using the doctools format for easy writing
	* doc/img-gif.man: and easy conversion to other formats.
	* doc/img-ico.man:
	* doc/img-jpeg.man:   Given the uniformity of most of the
	* doc/img-pcx.man:    handlers a template system is used
	* doc/img-pixmap.man: (doctools extended to handle [include]
	* doc/img-png.man:    files, and allow parameterization through
	* doc/img-ppm.man:    variables ([vset] command).
	* doc/img-ps.man:
	* doc/img-sgi.man:
	* doc/img-sun.man:
	* doc/img-tga.man:
	* doc/img-tiff.man:
	* doc/img-window.man:
	* doc/img-xbm.man:
	* doc/img-xpm.man:
	* doc/img.man:

	* doc/format-footer.inc: Template files, included by most of
	* doc/format-header.inc: the handler manpages.
	* doc/format-middle.inc:


2003-01-23  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* Touched all sub-modules, added -I/path/to/sources/of/module/base
	  so that they are able to find the tkimg.h header even if base is
	  not installed yet. Same principle as for access to the jpegtcl,
	  etc. headers.

2003-01-21  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* configure:    Fixed [Tkimg bug 655408] reported by Heinz-Detlev
	* configure.in: Koch <hdkoch@users.sourceforge.net>. The change in
	* Makefile.in:  aclocal.m4 fixing the problem with the propagation
	                of options to the sub-configure files also allows
	                us to use a simple 'make all' when compiling the
	                individual modules. Installation is not required
	                for them to find their requirements. Removed the
	                macro AC_PREFIX_PROGRAM(tclsh) and subsequent
	                conditionals from the master configure.in. We have
	                no need of special code for --prefix /
	                --exec-prefix in the master. The standard code
	                supplied by autoconf itself is just
	                fine. Regenerated the configure file.

2003-01-08  Andreas Kupries  <andreask@activestate.com>

	* aclocal.m4: Added this file, was missing. Fixed bug in
	  TEA_CONFIG_COLLECT.

2002-12-09  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* configure.in:
	* configure:
	* aclocal.m4:
	* Makefile.in: New master files for building all packages in
	  the extension. The installation collects all shared libraries in
	  one directory, using a big package index file for all packages.

	* base/: configure.in: Added DPACKAGE, is now 'img::base' instead
	  of 'tkimg'.

	* bmp, gif, ico, jpeg, pcx, pixmap, png, ppm, ps, sgi, sun, tga,
	  tiff, window, xbm, xpm:
	  Changed 'tkimg::' to 'img::'

2002-12-06  Andreas Kupries  <andreask@activestate.com>

	* bmp:
	* gif:
	* jpeg:
	* png:
	* tiff:
	* xpm:
	* xbm: Created testsuites for these handlers. Essentially the
	  existing big testsuite was split into per handler
	  testsuites. All pass.

	* sun:
	* sgi:
	* ico:
	* pcx:
	* ppm:
	* tga: Added testsuites, templated upon the original ones.

	  SGI has trouble. What goes in, does not come out exactly the
	  same. I am not sure if there is a bug, or if there is some
	  intentional change made by the handler.

	* ps: (+pdf)
	* window:
	* pixmap: Without testsuites.

	* init.c (_Init): Had to be changed to use '1.3' too.

2002-12-04  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* tkimg/base/tkimg.c:
	* tkimg/bmp/Makefile.in:
	* tkimg/gif/Makefile.in:
	* tkimg/ico/Makefile.in:
	* tkimg/init.c:
	* tkimg/jpeg/Makefile.in:
	* tkimg/libjpeg/tcl/jpegtcl.c:
	* tkimg/libpng/tcl/pngtcl.c:
	* tkimg/libtiff/tcl/tifftcl.c:
	* tkimg/libz/tcl/zlibtcl.c:
	* tkimg/pcx/Makefile.in:
	* tkimg/pixmap/Makefile.in:
	* tkimg/pixmap/configure:
	* tkimg/pixmap/configure.in:
	* tkimg/pixmap/pixmap.c:
	* tkimg/pixmap/pixmapInt.h:
	* tkimg/png/Makefile.in:
	* tkimg/ppm/Makefile.in:
	* tkimg/ps/Makefile.in:
	* tkimg/sgi/Makefile.in:
	* tkimg/sun/Makefile.in:
	* tkimg/tga/Makefile.in:
	* tkimg/tiff/Makefile.in:
	* tkimg/window/Makefile.in:
	* tkimg/xbm/Makefile.in:
	* tkimg/xpm/Makefile.in:

	  Smoothed out more trouble with DLLIMPORT / DLLEXPORT on
	  Windows. Fixed problems with building 'pixmap'.

2002-12-03  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* libjpeg/tcl:
	* libpng/tcl:
	* libz/tcl:
	* libtiff/tcl:
	* base:

	  Weeded out discrepancies in definition versus usage of BUILD_xxx
	  macros controlling DLLEXPORT / DLLIMPORT on windows. The
	  capitalization in configure(.in) and header was different.

2002-11-28  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* ps/: New directory, PS + PDF handler (photo image types).

	* png/: New directory, PNG handler (photo image types).

	* tiff/: New directory, TIFF handler (photo image types).

	* window/: New directory, WINDOW handler (photo image
	  type). Conversion of the original Img sources to TEA 2 provided
	  by Paul Obermeier <obermeier@users.sourceforge.net>.

	* xpm/: New directory, XPM handler (photo image type). Conversion
	  of the original Img sources to TEA 2 provided by Paul Obermeier
	  <obermeier@users.sourceforge.net>.

	* xbm/: New directory, XBM handler (photo image type). Conversion
	  of the original Img sources to TEA 2 provided by Paul Obermeier
	  <obermeier@users.sourceforge.net>.

	* tga/: New directory, TGA handler (photo image type). Code
	  provided by Paul Obermeier <obermeier@users.sourceforge.net>.

	* sun/: New directory, SUN handler (photo image type). Code
	  provided by Paul Obermeier <obermeier@users.sourceforge.net>.

	* sgi/: New directory, SGI handler (photo image type). Code
	  provided by Paul Obermeier <obermeier@users.sourceforge.net>.

	* ppm/: New directory, PPM handler (photo image type). Code
	  provided by Paul Obermeier <obermeier@users.sourceforge.net>.

	* pcx/: New directory, PCX handler (photo image type). Code
	  provided by Paul Obermeier <obermeier@users.sourceforge.net>.

	* ico/: New directory, ICO handler (photo image type). Code
	  provided by Paul Obermeier <obermeier@users.sourceforge.net>.

2002-11-26  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* init.c: Extended to allow registration of a second format. This
	  format is able to share functions with the first one. Current
	  user for this feature: The ps/pdf combo handler.

2002-11-19  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* init.c: New file. Contains generic initialization code for a
	  photo image type. Parameterized by the individual format
	  handlers with the package name (in various forms). First user is
	  'tkimg::bmp'.

	* bmp/: New directory, BMP handler (photo image type).
	* gif/: s.a, GIF handler (photo image type).
	* jpeg/: s.a, JPEG handler (photo image type).

2002-11-18  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* base: New directory. Base package for format handlers to draw
	  upon. Build system based on TEA 2. Exports a stub table. The
	  source code is a modified copy of the relevant sources in the
	  main directory, making this package completely independent of
	  the existing sources.

2002-11-18  Andreas Kupries  <andreask@activestate.com>

	* libz/tcl:
	* libpng/tcl:
	* libjpeg/tcl:
	* libtiff/tcl: New directories, tcl packages wrapping around the
	  support libraries, exporting their functionality via a stub
	  table. Based on TEA 2. First step in the reorganization of the
	  whole code base for easier configuration and building. The code
	  of the support libraries is linked directly into the wrapper
	  libraries. This means that the wrappers do not use support
	  libraries installed on the system. Support for this will come at
	  a later stage.

	* libpng/png.c: Added casts to prevent compiler error.
	* imgInt.h: Fixed small typo.

2002-10-15  Andreas Kupries  <andreask@activestate.com>

	* configure.in: Changed to propagate an initial CFLAGS value to
	  the final definition. A TEA condition (SHARED_BUILD == 1)
	  squashed it, causing it the build system to loose the
	  +DAportable we specify for the AS PA-RISC2.2 build host. This is
	  a problem for _all_ TEA and TEA 2 based configure files.

2002-10-04  Andreas Kupries  <andreask@activestate.com>

	* libjpeg/configure:
	* libtiff/tiff.h:
	* configure.in:
	* Makefile.in:
	* imgTIFF.c: Folding a number of band-aid patches to make tkImg
	  compile on the ActiveState hosts back into the sources.

	  When using gcc have to link -lgcc into the main, png, and tiff
	  libraries. Have to propagate host specification to subordniate
	  configure scripts. Have to explicitly link in '-lm -lc' on
	  AIX. Disable a number of typedef's in the TIFF code which are
	  provided by AIX headers. Avoid unwanted usage of the memcpy
	  macro on AIX.

2002-09-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in: better use of libdir. Add jpegconfdir to includes.
	Add srcdir prefix for installation of *.tcl. (steffen)

	* configure: regen'd
	* configure.in: add support for --with-tcl|tkinclude (steffen)

	* imgUnixPmap.c: #define XPutImage to empty for OSX. (steffen)

	* imgWindow.c: include X libs for OSX. (steffen)

2002-06-19  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* imgTIFF.c: Ifdef'd code choosing either stdarg.h or
	  varargs.h. The Tcl header does this selection since 8.1., and in
	  8.4 it has changed significantly, causing the code here to
	  select a different file than tcl itself, causing compile
	  problems. Thanks to Joe English for his help in tracking this
	  down.

2002-06-17  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* imgBMP.c (CommonReadBMP):
	* imgGIF.c (CommonReadGIF):
	* imgJPEG.c (CommonReadJPEG):
	* imgPS.c (ChanReadPDF):
	* imgWindow.c (ObjReadWin):
	* imgXPM.c (CommonReadXPM):
	* imgUtil.c (ImgPhotoPutBlock): Updated to handle changes
	  introduced into Tk by TIP #98.

2002-05-27  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* tools/install.tcl: Fixed mismatched brackets.
